Subject: Re: bug#56414: [PATCH] Make gujarati-itrans method more phonetic

From: Visuwesh <[email-masked]>
Date: Wed, 06 Jul 2022 11:34:51 +0530

[புதன் ஜூலை 06, 2022] समीर सिंह Sameer Singh wrote:

> Not only Gujarati, I think languages like Marathi (uses Devanagari script),
> Konkani (uses Devanagari and Kannada script), Kannada and Telugu also
> pronounce ऋ as ru and ॠ as ruu.
>
> Therefore instead of introducing a new table we should simply add more
> options in the pre-existing indian-itrans-v5-table, like we have already
> done for something like ज्ञ which is pronounced
> as "gya" in Hindi and "dnya" in Marathi.
>

Sounds good to me.

Revised patch attached.

>From 85ca8fd4a3cc9e1a2a30fdeb5b10db2999be2600 Mon Sep 17 00:00:00 2001
From: Visuwesh <[email-masked]>
Date: Wed, 6 Jul 2022 10:03:59 +0530
Subject: [PATCH] Make the Indian itrans methods more phonetic
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

The characters ऋ and ॠ are pronunced as ru in languages such as
Marathi, Gujarati, Telugu, etc. so add new translation rules that
reflects this sound.  (bug#56414)

* lisp/language/ind-util.el (indian-itrans-v5-table): Add new
translation rules to make the input method more phonetic.
(indian-tml-base-table, indian-tml-base-digits-table): Fix typo.
---
 lisp/language/ind-util.el | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/lisp/language/ind-util.el b/lisp/language/ind-util.el
index fa380dbde7..27facaa858 100644
--- a/lisp/language/ind-util.el
+++ b/lisp/language/ind-util.el
@@ -269,7 +269,7 @@ indian-tml-base-table
      ?ய ?ர ?ற ?ல ?ள ?ழ ?வ          ;; SEMIVOWELS
      ?ஶ ?ஷ ?ஸ ?ஹ                    ;; SIBILANTS
      nil nil nil nil nil nil nil nil      ;; NUKTAS
-     "ஜ்ஞ" "க்ஷ" "க்‌ஷ்")
+     "ஜ்ஞ" "க்ஷ" "க்‌ஷ")
     (;; Misc Symbols
      nil ?ஂ ?ஃ nil ?் ?ௐ nil)
     (;; Digits
@@ -292,7 +292,7 @@ indian-tml-base-digits-table
      ?ய ?ர ?ற ?ல ?ள ?ழ ?வ          ;; SEMIVOWELS
      ?ஶ ?ஷ ?ஸ ?ஹ                    ;; SIBILANTS
      nil nil nil nil nil nil nil nil      ;; NUKTAS
-     "ஜ்ஞ" "க்ஷ" "க்‌ஷ்")
+     "ஜ்ஞ" "க்ஷ" "க்‌ஷ")
     (;; Misc Symbols
      nil ?ஂ ?ஃ nil ?் ?ௐ nil)
     (;; Digits
@@ -315,8 +315,8 @@ indian-itrans-v5-table
   '(;; for encode/decode
     (;; vowels -- 18
      "a" ("aa" "A") "i" ("ii" "I") "u" ("uu" "U")
-     ("RRi" "R^i") ("LLi" "L^i") (".c" "e.c") "E" "e" "ai"
-     "o.c"  "O"   "o"   "au"  ("RRI" "R^I") ("LLI" "L^I"))
+     ("RRi" "R^i" "RRu" "R^u") ("LLi" "L^i") (".c" "e.c") "E" "e" "ai"
+     "o.c"  "O"   "o"   "au"  ("RRI" "R^I" "RRU" "R^U") ("LLI" "L^I"))
     (;; consonants -- 40
      "k"   "kh"  "g"   "gh"  ("~N" "N^")
      "ch" ("Ch" "chh") "j" "jh" ("~n" "JN")
-- 
2.35.1